Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.extensions
Class JavaConstructorInstance

    java.lang.Object
      com.novell.xml.xpath.Function
          com.novell.xsl.extensions.JavaInstance
              com.novell.xsl.extensions.JavaConstructorInstance

    public class JavaConstructorInstance

extends JavaInstance

This class invokes a single java Class constructor (i.e., only the constructor with a particular signature). Objects of this class are returned by JavaConstructor objects, which represent all public constructors for a particular Java Class.

Field Summary

Fields inherited from class com.novell.xsl.extensions.JavaInstance
`classBoolean, classNumber, classString, interfaceExpressionValue, interfaceNode, returnWrapper`

Constructor Summary
`JavaConstructorInstance(FunctionSignature baseSignature, Constructor constructor)` Construct an object for a particular constructor.

Method Summary
`ExpressionValue` | `invoke(Object[] args)` Invoke the function using the passed list of arguments.

Methods inherited from class com.novell.xsl.extensions.JavaInstance
`getReturnType, getWrappedResultType, toString`

Methods inherited from class com.novell.xml.xpath.Function
`getInstance, getSignature, isConstant, registerForReset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JavaConstructorInstance

    public JavaConstructorInstance(FunctionSignature baseSignature,
                                   Constructor constructor)

  Construct an object for a particular constructor.

  Parameters:
    `baseSignature` - The base signature of the JavaConstructor used for the expanded name.
    `constructor` - The Constructor object to use for this instance.

Method Detail

### invoke

    public ExpressionValue invoke(Object[] args)
                           throws XPathEvaluationException

  Invoke the function using the passed list of arguments.

  Overrides:
    `invoke` in class `Function`
  Parameters:
    `args` - List of arguments.
  Returns:
    An object containing the result of the function invocation.
  Throws:
    `XPathEvaluationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD